GuideLab API

Request a partnership with another organization

Send a partnership request to another organization. The target must be a different type (lab requests clinic, clinic requests lab). Sends a notification to the target organization's owners. Available to both labs and clinics.

POST
/partnerships/request

Send a partnership request to another organization. The target must be a different type (lab requests clinic, clinic requests lab). Sends a notification to the target organization's owners. Available to both labs and clinics.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/partnerships/request" \  -H "Content-Type: application/json" \  -d '{    "targetOrgId": "string"  }'
{  "partnership": null}
Empty
Empty
Empty
Empty
Empty